From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libgpg-error/
Date: Sun, 1 Oct 2023 07:34:58 +0000 (UTC) [thread overview]
Message-ID: <1696145552.3dc5713dd6ba5bba9495390428c133595ff5d3c8.sam@gentoo> (raw)
commit: 3dc5713dd6ba5bba9495390428c133595ff5d3c8
Author: James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 23 17:36:45 2023 +0000
Commit: Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Oct 1 07:32:32 2023 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3dc5713d
dev-libs/libgpg-error: Use different autogen.sh fix for cross-prefix
hprefixify uses ${EPREFIX}, which may not be executable or may not even exist at
all in a cross-prefix situation. Make autogen.sh execute using the same Bash
interpreter as the package manager. Unfortunately, there doesn't seem to be a
non-Bash-specific way to do this, so we cannot address this upstream.
Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>
Closes: https://github.com/gentoo/gentoo/pull/33010
Signed-off-by: Sam James <sam <AT> gentoo.org>
dev-libs/libgpg-error/libgpg-error-1.47-r1.ebuild | 86 +++++++++++++++++++++++
1 file changed, 86 insertions(+)
diff --git a/dev-libs/libgpg-error/libgpg-error-1.47-r1.ebuild b/dev-libs/libgpg-error/libgpg-error-1.47-r1.ebuild
new file mode 100644
index 000000000000..42ff68452a53
--- /dev/null
+++ b/dev-libs/libgpg-error/libgpg-error-1.47-r1.ebuild
@@ -0,0 +1,86 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+# Maintainers should:
+# 1. Join the "Gentoo" project at https://dev.gnupg.org/project/view/27/
+# 2. Subscribe to release tasks like https://dev.gnupg.org/T6159
+# (find the one for the current release then subscribe to it +
+# any subsequent ones linked within so you're covered for a while.)
+
+VERIFY_SIG_OPENPGP_KEY_PATH="${BROOT}"/usr/share/openpgp-keys/gnupg.asc
+inherit autotools multilib-minimal toolchain-funcs prefix verify-sig
+
+DESCRIPTION="Contains error handling functions used by GnuPG software"
+HOMEPAGE="https://www.gnupg.org/related_software/libgpg-error"
+SRC_URI="mirror://gnupg/${PN}/${P}.tar.bz2"
+SRC_URI+=" verify-sig? ( mirror://gnupg/${PN}/${P}.tar.bz2.sig )"
+
+LICENSE="GPL-2 LGPL-2.1"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~ppc-macos ~x64-macos ~x64-solaris"
+IUSE="common-lisp nls static-libs test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="nls? ( >=virtual/libintl-0-r1[${MULTILIB_USEDEP}] )"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ nls? ( sys-devel/gettext )
+ verify-sig? ( sec-keys/openpgp-keys-gnupg )
+"
+
+MULTILIB_WRAPPED_HEADERS=(
+ /usr/include/gpg-error.h
+ /usr/include/gpgrt.h
+)
+
+MULTILIB_CHOST_TOOLS=(
+ /usr/bin/gpg-error-config
+ /usr/bin/gpgrt-config
+)
+
+PATCHES=(
+ "${FILESDIR}/${PN}-1.44-remove_broken_check.patch"
+)
+
+src_prepare() {
+ default
+
+ if use prefix ; then
+ # don't hardcode /usr/xpg4/bin/sh as shell on Solaris
+ sed -i -e 's/solaris\*/disabled/' configure.ac || die
+ fi
+
+ # only necessary for as long as we run eautoreconf, configure.ac
+ # uses ./autogen.sh to generate PACKAGE_VERSION, but autogen.sh is
+ # not a pure /bin/sh script, so it fails on some hosts
+ sed -i -e "1s:.*:#\!${BASH}:" autogen.sh || die
+ eautoreconf
+}
+
+multilib_src_configure() {
+ local myeconfargs=(
+ $(multilib_is_native_abi || echo --disable-languages)
+ $(use_enable common-lisp languages)
+ $(use_enable nls)
+ # required for sys-power/suspend[crypt], bug 751568
+ $(use_enable static-libs static)
+ $(use_enable test tests)
+
+ # See bug #699206 and its duplicates wrt gpgme-config
+ # Upstream no longer install this by default and we should
+ # seek to disable it at some point.
+ --enable-install-gpg-error-config
+
+ --enable-threads
+ CC_FOR_BUILD="$(tc-getBUILD_CC)"
+ $("${S}/configure" --help | grep -o -- '--without-.*-prefix')
+ )
+ ECONF_SOURCE="${S}" econf "${myeconfargs[@]}"
+}
+
+multilib_src_install_all() {
+ einstalldocs
+ find "${ED}" -type f -name '*.la' -delete || die
+}
next reply other threads:[~2023-10-01 7:35 UTC|newest]
Thread overview: 183+ messages / expand[flat|nested] mbox.gz Atom feed top
2023-10-01 7:34 Sam James [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-25 3:40 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libgpg-error/ Matt Turner
2025-01-12 14:22 Sam James
2025-01-12 13:42 Sam James
2025-01-12 13:42 Sam James
2025-01-12 13:42 Sam James
2025-01-12 13:42 Sam James
2025-01-12 13:16 Sam James
2024-11-13 17:37 Sam James
2024-10-15 5:22 Sam James
2024-10-13 11:06 Sam James
2024-10-08 21:50 Jakov Smolić
2024-10-05 13:58 Arthur Zamarin
2024-10-05 13:58 Arthur Zamarin
2024-10-05 12:10 Arthur Zamarin
2024-10-05 10:11 Sam James
2024-06-25 1:56 Sam James
2024-06-25 1:32 Sam James
2024-06-25 1:32 Sam James
2024-06-25 1:32 Sam James
2024-05-25 15:10 Michał Górny
2024-05-24 6:29 Sam James
2024-05-24 6:29 Sam James
2024-05-24 6:29 Sam James
2024-05-24 6:29 Sam James
2024-05-24 6:29 Sam James
2024-05-24 6:29 Sam James
2024-05-24 6:13 Sam James
2024-04-29 7:51 Jakov Smolić
2024-04-29 7:51 Jakov Smolić
2024-04-26 0:14 Sam James
2024-03-04 3:00 Sam James
2023-12-17 14:09 Arthur Zamarin
2023-12-15 12:56 Arthur Zamarin
2023-12-15 10:32 Arthur Zamarin
2023-12-15 8:29 Sam James
2023-12-15 7:42 Sam James
2023-12-15 7:14 Sam James
2023-12-15 7:14 Sam James
2023-06-29 6:18 Sam James
2023-06-17 19:44 Arthur Zamarin
2023-06-17 16:52 Sam James
2023-06-17 11:23 Arthur Zamarin
2023-06-17 9:03 Arthur Zamarin
2023-06-17 8:29 Arthur Zamarin
2023-06-17 6:12 Sam James
2023-04-07 10:07 Sam James
2023-04-01 17:18 Sam James
2022-11-30 7:07 Sam James
2022-11-18 11:07 Arthur Zamarin
2022-11-18 6:52 Arthur Zamarin
2022-11-18 6:52 Arthur Zamarin
2022-11-18 6:45 Sam James
2022-11-18 6:45 Sam James
2022-11-18 6:38 Arthur Zamarin
2022-11-18 6:38 Arthur Zamarin
2022-11-18 6:38 Arthur Zamarin
2022-10-09 21:12 Sam James
2022-10-09 21:12 Sam James
2022-10-09 1:14 Andreas K. Hüttel
2022-10-08 12:54 Sam James
2022-06-29 7:26 Sam James
2022-06-15 8:09 Agostino Sarubbo
2022-06-15 7:16 Agostino Sarubbo
2022-06-14 10:07 Agostino Sarubbo
2022-06-14 7:32 Agostino Sarubbo
2022-06-14 7:15 Agostino Sarubbo
2022-06-14 7:06 Jakov Smolić
2022-06-14 5:54 Jakov Smolić
2022-06-14 5:54 Jakov Smolić
2022-05-17 5:34 Sam James
2022-04-07 11:18 Lars Wendler
2022-04-07 11:18 Lars Wendler
2021-11-04 17:23 Lars Wendler
2021-06-13 10:46 Sergei Trofimovich
2021-06-13 6:04 Sam James
2021-06-13 6:04 Sam James
2021-06-12 16:07 Sam James
2021-06-12 15:56 Sam James
2021-06-12 13:46 Sam James
2021-06-12 13:46 Sam James
2021-06-12 13:46 Sam James
2021-03-28 11:29 Sergei Trofimovich
2021-03-28 10:17 Mikle Kolyada
2021-03-28 10:02 Agostino Sarubbo
2021-03-26 20:39 Agostino Sarubbo
2021-03-26 15:31 Agostino Sarubbo
2021-03-26 14:26 Agostino Sarubbo
2021-03-26 13:40 Agostino Sarubbo
2021-03-25 17:52 Sergei Trofimovich
2021-03-22 19:43 Lars Wendler
2021-03-22 19:43 Lars Wendler
2021-02-17 22:11 Sam James
2021-01-06 10:21 Fabian Groffen
2021-01-02 22:33 David Seifert
2020-12-26 21:28 Sam James
2020-12-26 21:28 Sam James
2020-12-22 11:43 Lars Wendler
2020-09-20 13:32 Mikle Kolyada
2020-08-31 22:01 Sam James
2020-08-24 22:59 Thomas Deutschmann
2020-08-19 8:31 Sergei Trofimovich
2020-08-19 3:11 Sam James
2020-08-18 16:52 Agostino Sarubbo
2020-08-17 14:07 Agostino Sarubbo
2020-08-17 13:52 Agostino Sarubbo
2020-08-17 13:50 Agostino Sarubbo
2020-08-17 4:33 Sam James
2020-06-15 14:22 Mike Gilbert
2020-05-30 8:29 Lars Wendler
2020-01-13 12:52 Mikle Kolyada
2020-01-09 10:56 Kristian Fiskerstrand
2020-01-09 9:11 Lars Wendler
2020-01-09 9:11 Lars Wendler
2019-07-15 19:10 Sergei Trofimovich
2019-06-09 17:53 Fabian Groffen
2019-05-04 11:41 Mikle Kolyada
2019-05-02 21:40 Mikle Kolyada
2019-04-28 20:34 Thomas Deutschmann
2019-04-28 13:03 Sergei Trofimovich
2019-04-28 9:38 Mikle Kolyada
2019-04-28 7:42 Sergei Trofimovich
2019-04-27 15:48 Sergei Trofimovich
2019-04-27 8:47 Sergei Trofimovich
2019-04-26 20:40 Mikle Kolyada
2019-04-26 0:05 Aaron Bauman
2019-04-25 19:45 Mikle Kolyada
2018-10-29 8:50 Alon Bar-Lev
2018-10-06 0:32 Alon Bar-Lev
2018-10-05 19:27 Alon Bar-Lev
2018-07-28 9:40 Jeroen Roovers
2018-07-22 0:32 Mikle Kolyada
2018-07-15 13:04 Kristian Fiskerstrand
2018-07-07 10:47 Markus Meier
2018-06-26 10:19 Tobias Klausmann
2018-06-19 14:30 Mart Raudsepp
2018-06-18 18:31 Sergei Trofimovich
2018-06-17 23:29 Thomas Deutschmann
2018-06-15 9:35 Sergei Trofimovich
2018-06-14 10:57 Mikle Kolyada
2018-04-18 20:14 Alon Bar-Lev
2018-01-03 19:28 Alon Bar-Lev
2017-04-12 19:30 Mike Frysinger
2017-04-11 6:52 Alon Bar-Lev
2017-04-11 6:43 Jeroen Roovers
2017-03-25 18:11 Alon Bar-Lev
2017-03-21 14:34 Agostino Sarubbo
2017-03-21 13:10 Michael Weber
2017-03-20 12:28 Agostino Sarubbo
2017-03-20 6:17 Matt Turner
2017-03-20 6:17 Matt Turner
2017-03-20 6:17 Matt Turner
2017-03-20 6:17 Matt Turner
2017-03-20 1:05 Matt Turner
2017-03-03 5:57 Alon Bar-Lev
2017-03-02 23:41 Kristian Fiskerstrand
2017-03-02 19:33 Kristian Fiskerstrand
2017-03-02 19:33 Kristian Fiskerstrand
2017-01-18 14:52 Alon Bar-Lev
2016-12-26 21:15 Kristian Fiskerstrand
2016-11-28 23:06 Thomas Deutschmann
2016-11-19 13:21 Kristian Fiskerstrand
2016-11-10 6:20 Mike Frysinger
2016-09-27 18:40 Markus Meier
2016-09-25 20:07 Jeroen Roovers
2016-09-21 17:48 Tobias Klausmann
2016-07-27 20:33 Markus Meier
2016-07-26 13:18 Tobias Klausmann
2016-07-24 17:31 Jeroen Roovers
2016-07-14 18:01 Kristian Fiskerstrand
2016-06-08 18:46 Mike Frysinger
2016-05-22 16:13 Kristian Fiskerstrand
2016-02-29 8:46 Stephen Klimaszewski
2016-01-19 21:23 Manuel Rüger
2015-09-24 7:59 Agostino Sarubbo
2015-09-11 14:51 Tobias Klausmann
2015-09-10 6:07 Alon Bar-Lev
2015-09-08 4:26 Jeroen Roovers
2015-09-06 12:10 Pacho Ramos
2015-09-06 11:23 Pacho Ramos
2015-09-05 16:55 Anthony G. Basile
2015-09-05 16:46 Mikle Kolyada
2015-09-05 16:41 Anthony G. Basile
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1696145552.3dc5713dd6ba5bba9495390428c133595ff5d3c8.sam@gentoo \
--to=sam@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox